pandoc-3.7.0.2: Conversion between markup formats

Copyright | Copyright (C) 2023 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Writers.ChunkedHTML

Description

Conversion of `Pandoc` documents to "chunked" HTML (a folder of linked HTML documents, split by sections.

Synopsis

- writeChunkedHTML :: PandocMonad m => WriterOptions -> Pandoc -> m ByteString

# Documentation

writeChunkedHTML :: PandocMonad m => WriterOptions -> Pandoc -> m ByteString #

Splits document into HTML chunks, dividing them by section, and returns a zip archive of a folder of files.